package com.ruoyi.project.training.bccnew.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 导师带徒审批对象 t_ts_approve
 *
 * @author ssy
 * @date 2024-06-25
 */
public class TTsApprove extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    private Long trainingId;

    private Long contentId;

    /**
     * 申请编号
     */
    @Excel(name = "申请编号")
    private String apNo;

    /**
     * 流程编id
     */
    @Excel(name = "流程编id")
    private String processId;

    /**
     * 申请人id
     */
    @Excel(name = "申请人id")
    private String applicant;

    /**
     * 申请时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applicationTime;

    /**
     * 申请人姓名
     */
    @Excel(name = "申请人姓名")
    private String applicantName;

    /**
     * 审批人id
     */
    @Excel(name = "审批人id")
    private String approver;

    /**
     * 审批时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "审批时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /**
     * 审批人姓名
     */
    @Excel(name = "审批人姓名")
    private String approverName;

    /**
     * 状态
     */
    @Excel(name = "状态")
    private Long status;

    /**
     * 删除标识
     */
    private Long delFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createrCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    private String updaterCode;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 类型
     */
    @Excel(name = "类型")
    private String planType;

    private TTsNew tTsNew;
    private TTsLjplan tTsLjplan;
    private TTsYsplan tTsYsplan;
    private TTsFlplan tTsFlplan;
    private TTsFtplan tTsFtplan;

    public Long getContentId() {
        return contentId;
    }

    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    public TTsLjplan gettTsLjplan() {
        return tTsLjplan;
    }

    public void settTsLjplan(TTsLjplan tTsLjplan) {
        this.tTsLjplan = tTsLjplan;
    }

    public TTsYsplan gettTsYsplan() {
        return tTsYsplan;
    }

    public void settTsYsplan(TTsYsplan tTsYsplan) {
        this.tTsYsplan = tTsYsplan;
    }

    public TTsFlplan gettTsFlplan() {
        return tTsFlplan;
    }

    public void settTsFlplan(TTsFlplan tTsFlplan) {
        this.tTsFlplan = tTsFlplan;
    }

    public TTsFtplan gettTsFtplan() {
        return tTsFtplan;
    }

    public void settTsFtplan(TTsFtplan tTsFtplan) {
        this.tTsFtplan = tTsFtplan;
    }

    public TTsNew gettTsNew() {
        return tTsNew;
    }

    public void settTsNew(TTsNew tTsNew) {
        this.tTsNew = tTsNew;
    }

    public Long getTrainingId() {
        return trainingId;
    }

    public void setTrainingId(Long trainingId) {
        this.trainingId = trainingId;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setApNo(String apNo) {
        this.apNo = apNo;
    }

    public String getApNo() {
        return apNo;
    }

    public void setProcessId(String processId) {
        this.processId = processId;
    }

    public String getProcessId() {
        return processId;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicationTime(Date applicationTime) {
        this.applicationTime = applicationTime;
    }

    public Date getApplicationTime() {
        return applicationTime;
    }

    public void setApplicantName(String applicantName) {
        this.applicantName = applicantName;
    }

    public String getApplicantName() {
        return applicantName;
    }

    public void setApprover(String approver) {
        this.approver = approver;
    }

    public String getApprover() {
        return approver;
    }

    public void setApproveTime(Date approveTime) {
        this.approveTime = approveTime;
    }

    public Date getApproveTime() {
        return approveTime;
    }

    public void setApproverName(String approverName) {
        this.approverName = approverName;
    }

    public String getApproverName() {
        return approverName;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setCreaterCode(String createrCode) {
        this.createrCode = createrCode;
    }

    public String getCreaterCode() {
        return createrCode;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setUpdaterCode(String updaterCode) {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode() {
        return updaterCode;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }

    public String getPlanType() {
        return planType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("apNo", getApNo())
                .append("processId", getProcessId())
                .append("applicant", getApplicant())
                .append("applicationTime", getApplicationTime())
                .append("applicantName", getApplicantName())
                .append("approver", getApprover())
                .append("approveTime", getApproveTime())
                .append("approverName", getApproverName())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createrCode", getCreaterCode())
                .append("createdate", getCreatedate())
                .append("updaterCode", getUpdaterCode())
                .append("updatedate", getUpdatedate())
                .append("deptId", getDeptId())
                .append("planType", getPlanType())
                .toString();
    }
}
